* {
    margin: 0;
    padding: 0;
}

header {
    background-color: #161616;
    display: flex;
    justify-content: center;
}

header h1 {
    color: white;
    font-size: 60px;
    margin-top: 200px;
    font-weight: 700;
}

header p {
    color: white;
    font-size: 16px;
    color: gainsboro;
}

header button {
    border: 1px solid red;
    border-radius: 5px;
    background-color: red;
    color: white;
    font-size: 20px;
    font-weight: 500;
    padding: 10px 30px;
    margin-top: 20px;
    cursor: pointer;
}

a {
    text-decoration: none;
    color: black;
}

header img {
    width: 600px;
    height: 600px;
    margin-top: 30px;
}

/* ---------------------END HEADER PART------------------- */
.shedule {
    display: inline-block;
    justify-content: center;
    align-items: center;
    width: 20%;
    height: 300px;
    background-color: black;
    border-radius: 10px;
    margin-top: 130px;
    margin-left: 20px;
    position: sticky;
}

.shedule button {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 200px;
    border: 1px solid gray;
    border-radius: 5px;
    background-color: white;
    color: black;
    font-size: 20px;
    padding: 15px 20px;
    margin-top: 35px;
    cursor: pointer;
    margin-left: 28px;
}

.shedule button:hover {
    background-color: rgb(161, 144, 122);
    transition-duration: 0.s;
}

.shedule button:active {
    background-color: rgb(1, 16, 66);
}

#upcm-button {
    background-color: red;
    color: white;
}

/* ------------------------------------------------------ */
.second-section {
    display: flex;
}

.flag-section {
    display: grid;
    grid-template-columns: auto auto auto;
    margin-top: 50px;
}

.flag-area {
    border: 1px solid rgb(189, 187, 187);
    border-radius: 10px;
    padding: 20px 30px;
    margin: 20px 20px;
    cursor: pointer;
}

.flag-area:hover {
    box-shadow: 1px 1px 10px rgb(175, 174, 174);
    transition-duration: 0.7s;
}

.all-flag {
    display: flex;
    justify-content: center;
    align-items: center;
}

.all-flag h3 {
    margin: 0 20px;
}

.flag-tittle {
    text-align: center;
    padding: 20px 0;
}

.flag-tittle h1 {
    font-size: 20px;
    padding-bottom: 10px;
}

/* ---------------------END PLAYER SECTION------------------- */
footer {
    background-color: #161616;
    padding: 50px 0;
}

.goal {
    text-align: center;
    color: white;
    font-size: 30px;
    font-weight: 700px;
    margin-bottom: 40px;
}

hr {
    width: 80%;
    margin: auto;
}

.under-footer {
    display: flex;
    width: 70%;
    margin: auto;
    justify-content: space-around;
    list-style: none;
    color: white;
    padding-top: 20px;
}

.under-footer li {
    cursor: pointer;
    margin-top: 20px;
}

.under-footer li:hover {
    color: burlywood;
}

/* --------------------- Media -------------------- */
/* Smart phone device */

/* Header section */
@media only screen and (max-width: 428px) {
    header {
        background-color: #3d8354;
        display: grid;
    }

    .hero-tittle {
        width: 350px;
        padding-left: 20px;
    }

    header h1 {
        font-size: 50px;
        margin-top: 30px;
    }

    header p {
        font-size: 1em;
    }

    header img {
        width: 380px;
        height: 380px;
        margin-top: 30px;
    }

    /* Blog section */
    .second-section {
        display: grid;
    }

    .shedule {
        width: 85%;
        height: 320px;
        margin-top: 30px;
        background-color: transparent;
    }

    .shedule button {
        width: 285px;
        font-size: 25px;
    }

    .flag-section {
        display: grid;
        grid-template-columns: auto;
        margin: 10px 0;
    }

    .player-section .player-img {
        width: 100%;
        height: 200px;
    }

    .single-player {
        width: 90%;
        height: auto;
        border: 1px solid rgb(112, 55, 55);
        border-radius: 5px;
    }

    /* Footer section */

    .goal {
        margin-bottom: 20px;
    }

    .under-footer {
        display: grid;
        grid-template-columns: auto auto;
        justify-content: space-between;
    }

    .under-footer li {
        margin-top: 10px;
    }

}

@media (min-width: 768px) and (max-width: 1279px) {
    header {
        background-color: #69746d;
        display: flex;
        justify-content: space-around;
        margin-bottom: 50px;
    }

    .hero-tittle {
        width: 350px;
    }

    header h1 {
        font-size: 50px;
        margin-top: 30px;
    }

    header p {
        font-size: 1em;
    }

    header img {
        width: 380px;
        height: 380px;
        margin-top: 30px;
    }

    /* Blog section */
    .second-section {
        display: grid;
    }

    .shedule {
        display: flex;
        width: 80%;
        height: 100px;
        background-color: transparent;
        border-radius: 10px;
        margin: auto;
    }

    .shedule button {
        width: 270px;
        font-size: 20px;
        margin-left: 5px;
    }

    .flag-section {
        width: 95%;
        display: grid;
        grid-template-columns: auto auto;
        margin-left: 30px;
        margin-bottom: 50px;
    }

    .player-section .player-img {
        width: 360px;
        height: 200px;
    }

    .single-player {
        margin: 10px 0;
        width: 360px;
        height: auto;
        border: 1px solid rgb(112, 55, 55);
        border-radius: 5px;
    }

    /* Footer section */

    .goal {
        margin-bottom: 20px;
    }

    .under-footer {
        display: grid;
        grid-template-columns: auto auto auto auto;
        justify-content: space-between;
    }

    .under-footer li {
        margin-top: 10px;
    }

}